package cohttp

  1. Overview
  2. Docs
An OCaml library for HTTP clients and servers

Install

Authors

Maintainers

Sources

cohttp-5.3.0.tbz
sha256=b3bd91c704e5ea510e924b83ab2ede1fc46a2cce448b0f8cef4883b9a16eeddd
sha512=529930d9b1f38737d91f47cb94f8bae381df87ea941cb8e75ee798354763bdf5091f4f3be31d0ba14b9944dc68203a3d98e235c38c66e7e176a114be9ff4acf3

Description

Cohttp is an OCaml library for creating HTTP daemons. It has a portable HTTP parser, and implementations using various asynchronous programming libraries.

See the cohttp-async, cohttp-lwt, cohttp-lwt-unix, cohttp-lwt-jsoo and cohttp-mirage libraries for concrete implementations for particular targets.

You can implement other targets using the parser very easily. Look at the IO signature in lib/s.mli and implement that in the desired backend.

You can activate some runtime debugging by setting COHTTP_DEBUG to any value, and all requests and responses will be written to stderr. Further debugging of the connection layer can be obtained by setting CONDUIT_DEBUG to any value.

Tags

org:mirage org:xapi-project

Published: 24 Jul 2023

Dependencies (10)

  1. jsonm build
  2. base64 >= "3.1.0"
  3. stringext
  4. ppx_sexp_conv >= "v0.13.0"
  5. sexplib0
  6. uri-sexp
  7. uri >= "2.0.0"
  8. re >= "1.9.0"
  9. dune >= "2.0"
  10. ocaml >= "4.08"

Dev Dependencies (3)

  1. crowbar with-test & >= "0.2"
  2. alcotest with-test
  3. fmt with-test

Used by (83)

  1. aws-async
  2. aws-lwt
  3. aws-s3 >= "2.0.0" & < "4.0.0"
  4. awsm
  5. awsm-codegen
  6. azblob
  7. azblob-async
  8. azure-cosmos-db
  9. c3
  10. calculon-web < "0.5"
  11. caldav
  12. canary
  13. cca >= "0.6.2"
  14. cohttp-async >= "1.0.0" & < "2.2.0" | = "5.3.0"
  15. cohttp-lwt = "5.3.0"
  16. cohttp-lwt-jsoo >= "1.2.0" & < "2.2.0" | = "5.3.0"
  17. cohttp-mirage = "5.3.0"
  18. cohttp-top >= "1.0.0" & < "2.2.0" | = "5.3.0"
  19. cohttp_async_websocket
  20. comby-semantic
  21. cowabloga >= "0.0.9" & != "0.2.2"
  22. current_github >= "0.4" & < "0.6"
  23. current_slack = "0.5"
  24. current_web >= "0.4" & < "0.6"
  25. datakit < "0.10.0"
  26. dropbox >= "0.2"
  27. frenetic >= "3.3.0"
  28. git = "1.4.10" | >= "1.5.0" & < "1.10.0"
  29. git-cohttp
  30. git-cohttp-mirage
  31. git-cohttp-unix
  32. git-paf < "3.5.0"
  33. git-unix < "1.10.0" | >= "2.1.1" & < "3.0.0"
  34. github >= "3.0.1"
  35. github-jsoo >= "4.1.0" & < "4.3.0" | >= "4.4.0"
  36. github-unix >= "4.2.0"
  37. gitlab-jsoo
  38. gitlab-unix
  39. gradescope_submit
  40. graphql-cohttp
  41. h1_parser
  42. hockmd
  43. imaplet-lwt >= "0.1.3"
  44. influxdb-async
  45. influxdb-lwt
  46. iocaml < "0.4.8"
  47. ip2location
  48. ip2locationio
  49. irmin >= "0.9.0" & != "0.11.1" & < "1.0.0"
  50. irmin-cli
  51. irmin-graphql >= "2.3.0"
  52. irmin-http >= "2.3.0"
  53. irmin-mirage-git >= "2.3.0" & < "2.8.0"
  54. irmin-unix < "0.9.9" | >= "2.3.0"
  55. learn-ocaml != "0.12"
  56. learn-ocaml-client >= "0.13.0"
  57. letsencrypt < "0.3.0"
  58. links >= "0.7.3"
  59. magic-trace
  60. merge-queues >= "0.2.0"
  61. mirage-http = "2.0.0"
  62. mirage-www >= "1.1.0"
  63. nsq >= "0.2.4"
  64. ocamlapi
  65. ojs-base >= "0.3.0"
  66. opium = "0.13.3"
  67. opium_kernel
  68. podge >= "0.4"
  69. ppx_json_types
  70. prometheus-app >= "0.5" & < "1.2"
  71. quests
  72. reddit_api_kernel
  73. river >= "0.2"
  74. sentry
  75. session-cohttp
  76. sociaml-facebook-api >= "0.4.1"
  77. telegraml >= "2.2.0"
  78. tidy_email_mailgun
  79. tidy_email_sendgrid
  80. transmission-rpc
  81. webmachine >= "0.4.0"
  82. websocket >= "2.10"
  83. xen-api-client >= "0.9.8" & < "0.9.14"

Conflicts

None